atlas-ecmwf (0.31.1-2) unstable; urgency=medium

  * Ad B-D on doxygen
  * Drop tests for this build: occur onmips64el/s390x intermittently when
    oversubscribed

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Nov 2022 08:49:51 +0000

atlas-ecmwf (0.31.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Nov 2022 08:00:59 +0000

atlas-ecmwf (0.31.0-1) unstable; urgency=medium

  * New upstream release
  * Update symlinks to 0.31

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Nov 2022 10:03:16 +0000

atlas-ecmwf (0.30.0-3) unstable; urgency=medium

  * Fixes to cmake fragments for metview
  * No longer ignore test failures

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Sep 2022 16:10:25 +0100

atlas-ecmwf (0.30.0-2) unstable; urgency=medium

  * More renaming of atlas_io to atlas_ecmwf_io for cmake

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Aug 2022 20:33:23 +0100

atlas-ecmwf (0.30.0-1) unstable; urgency=medium

  * New upstream release
  * Add new atlas_io stuff to /usr/include, cmake, libs
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Aug 2022 09:00:26 +0100

atlas-ecmwf (0.29.0-2) unstable; urgency=medium

  * Rebuild atlas-ecmwf against eckit > 1.20.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 May 2022 11:45:46 +0100

atlas-ecmwf (0.29.0-1) unstable; urgency=medium

  * New upstream release
  * Patches rebased
  * proj8 support now upstream; drop patch
  * Set LD_LIBRARY_PATH in unit tests

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 Apr 2022 14:38:28 +0100

atlas-ecmwf (0.28.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Mar 2022 09:04:23 +0000

atlas-ecmwf (0.28.0-1) unstable; urgency=medium

  * New upstream release
    - Minor libname soversion now 0.28
  * Add initial bash-completions file

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 06 Mar 2022 07:51:22 +0000

atlas-ecmwf (0.27.0-1) unstable; urgency=medium

  * New upstream release
    - Minor libname soversion now 0.27
  * Regression -re-enable fortran (accidentally disabled on some archs)
  * Disable CLANG_TIDY - failure on omp code, mixed g++/clang environment
  * No longer ship config.yaml in 0.27.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Dec 2021 11:04:05 +0000

atlas-ecmwf (0.26.0-1) unstable; urgency=medium

  * New upstream release
    - Minor libname soversion now 0.26.0
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Aug 2021 09:14:18 +0100

atlas-ecmwf (0.25.0-3) unstable; urgency=medium

  * Fix typo in arch name s/ppc54el/ppc64el/ . Closes: #990284
  * Drop OMP suppport for riscv64, sparc64 archs.
  * Enable tests for logging

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Jun 2021 16:58:21 +0100

atlas-ecmwf (0.25.0-2) unstable; urgency=medium

  * Drop 32-bit support. Closes: #987482
    - Drop ulong-32bit.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Jun 2021 08:33:27 +0100

atlas-ecmwf (0.25.0-1) unstable; urgency=medium

  * New upstream release
    - Minor libname soversion now 0.25.0
  * Update atlas-name.patch
  * Install /etc/atlas/config.yaml in lib package
  * Drop unnecessary dh_auto_clean clause

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 25 May 2021 14:00:12 +0100

atlas-ecmwf (0.24.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Apr 2021 10:37:59 +0100

atlas-ecmwf (0.24.0-1) unstable; urgency=medium

  * New upstream release
  * Support for Proj 8. Closes: #983210
  * Bump dependency on fckit to >= 0.9.2-2 to fix regression in -1.
  * Minor libname soversion now 0.24.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Mar 2021 10:08:13 +0000

atlas-ecmwf (0.23.0-1) unstable; urgency=medium

  * Add debian/watch file
  * New upstream release
    - New patch missing-defs.patch : disable some tests to allow compilation
      against eckit 1.15.4

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Jan 2021 21:27:08 +0000

atlas-ecmwf (0.22.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.1
  * Build-Depend on clang-tidy. Closes: #975184

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Nov 2020 10:35:47 +0000

atlas-ecmwf (0.22.0-5) unstable; urgency=medium

  * Add dep. on libfckit-dev to libatlas-ecmwf-dev
  * Supply fortran interface on 64-bit systems only. Closes: #972971

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 Oct 2020 13:26:53 +0000

atlas-ecmwf (0.22.0-4) unstable; urgency=medium

  * Reverse include/atlas_ecmwf -> include; breaks metview
  * 32-bit patch not being included correctly

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Oct 2020 12:39:09 +0100

atlas-ecmwf (0.22.0-3) unstable; urgency=medium

  * Fix include path in cmake scripts
  * Update patch for 32-bit systems fix

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Oct 2020 09:50:11 +0100

atlas-ecmwf (0.22.0-2) unstable; urgency=medium

  * Ensure cmake/atlas -> cmake/atlas_ecmwf in cmake scripts
  * Enable Fortran support

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Oct 2020 09:28:33 +0100

atlas-ecmwf (0.22.0-1) unstable; urgency=medium

  * New upstream release
  * Move to debhelper level 13
  * Use subst. vars in dh_ files rather than autogenerating
  * Use g/gbp.conf to doc DEP-14 branch names
  * Set VCS-Git to point to debian/latest branch
  * Depend on libfckit-dev (on 64-kit archs for the moment)
  * Fix for preprocessor error - predef.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Oct 2020 14:28:13 +0100

atlas-ecmwf (0.21.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Jul 2020 13:39:07 +0100

atlas-ecmwf (0.20.2-2) unstable; urgency=medium

  * Also change the lib paths in atlas-targets-release.cmake.
    Closes: 3960403

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 May 2020 11:10:10 +0100

atlas-ecmwf (0.20.2-1) unstable; urgency=medium

  * New upstream release
  * Add libjemalloc-dev to depends of libatlas-ecmwd-dev
  * Use ecbuild > 3.3.2 as cmake/Find* patches moved there
  * Drop cmake/Find* patches and drop cmake/FindLatex.cmake in favour
    of ecbuild version

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 May 2020 07:43:10 +0100

atlas-ecmwf (0.20.1-2) unstable; urgency=medium

  * Disable clang-tidy on s390x, mipsel where it causes spurious errors
  * Fix for FindLatex.patch
  
 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Apr 2020 12:02:31 +0100

atlas-ecmwf (0.20.1-1) unstable; urgency=medium

  * New upstream release
  * Fix FTBFS with g++-10. Closes: #957018
  * Build-depend on libjemalloc-dev
  * Fix for FTBFS on 32-bit machines: disable some checksum code

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Apr 2020 12:15:57 +0100

atlas-ecmwf (0.20.0-1) unstable; urgency=medium

  * New upstream release
  * Patches now upstream:
    - constexpr patch
    - size_t patch
    - unsigned_long patch
  * New patch soversion.patch to fix soversion at '0'
  * Build depend on libgridtools-dev
  * Set -utils package as Multi-Arch: foreign

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Apr 2020 17:38:14 +0100

atlas-ecmwf (0.19.1-1) unstable; urgency=medium

  * New upstream release
  * Use dh-sequence-fortran-mod
  * Standards-Version: 4.5.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 23 Feb 2020 11:09:22 +0000

atlas-ecmwf (0.19.0-9) unstable; urgency=medium

  * -dev pkg depends on -utils package (because of cmake interfaces)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Jan 2020 16:55:54 +0000

atlas-ecmwf (0.19.0-8) unstable; urgency=medium

  * Fix cut/paste error in unsigned-long.patch that breaks on 32-bit archs

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 Jan 2020 14:05:58 +0000

atlas-ecmwf (0.19.0-7) unstable; urgency=medium

  * Ensure ENNABLE_32_BIT_HOST is set on 32-bit archs in d/rules
  * unsigned-long.patch: make changes conditional on ATLAS_BITS_GLOBAL==64

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Jan 2020 11:47:23 +0000

atlas-ecmwf (0.19.0-6) unstable; urgency=medium

  * Add libcgal-dev as Depedency of -dev package
  * Drop libcgal-dev dependency on armel, where is currently FTBFS
  * unsigned-long.patch: Drop support for unsigned longs, as it breaks
    32-bit systems (better fix needed)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Jan 2020 15:25:35 +0000

atlas-ecmwf (0.19.0-5) unstable; urgency=medium

  * size_t patch for 32-bit systems compile
  * Disable tests for this release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Jan 2020 07:21:24 +0000

atlas-ecmwf (0.19.0-4) unstable; urgency=medium

  * Build-dep on libeckit-dev (>= 1.4.7-7 ) as it now pulls
    in libaec-dev needed to build
  * Drop our dependencies on :libssl-dev, libcurl4-gnutls-dev,
    libxxhash-dev, libsnappy-dev, liblz4-dev, libbz2-dev ;
    pulled in by libeckit-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Jan 2020 07:13:48 +0000

atlas-ecmwf (0.19.0-3) unstable; urgency=medium

  * Install includes in correct directory in -dev pkg
  * Enable proj support
  * Drop Dependency on gridtools-dev until we build against it properly
  * Change paths in cmake files to match installed locations
  * Add eckt, eigen3 dependencies to -dev pkg as needed to build with cmake
  * Add Breaks/Replaces for files that moved from metview* -> atlas

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Jan 2020 10:30:36 +0000

atlas-ecmwf (0.19.0-2) unstable; urgency=medium

  * Build without Fortran support until fckit is in archive.
  * Build-depend on libcgal-dev for tesselation; on latex for docs
  * Build-depend on libssl-dev, libcurl4-gnutls-dev, libxxhash-dev, 
    libsnappy-dev, liblz4-dev, libbz2-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 04 Jan 2020 08:54:31 +0000

atlas-ecmwf (0.19.0-1) unstable; urgency=medium

  * Initial release. (Closes: #942635)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Jan 2020 15:09:43 +0000
